<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
  global $db;
  require('includes/application_top.php');
  include(DIR_WS_CLASSES . 'order.php');

    $oID = zen_db_prepare_input($_GET['oID']);

  $action = (isset($_GET['action']) ? $_GET['action'] : 'edit');

  if (zen_not_null($action)) {
    switch ($action) {
	// Update
	case 'update_order':
		$new_value = zen_db_prepare_input($_POST['reorder_new_value']);
		$old_value = zen_db_prepare_input($_POST['reorder_old_value']);
		if ($new_value != $old_value)
		{
			$query = "update " . TABLE_ORDERS . " set
				reorder = '".$new_value."'
				where orders_id = '" . zen_db_input($oID) . "';";
			$db->Execute($query);

		}
			zen_redirect(zen_href_link("orders.php", zen_get_all_get_params(array('action'))));

		break;
	// Show
	case 'cancel_reorder':
		break;
	}
	}
?><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<script language="JavaScript" src="includes/menu.js" type="text/JavaScript"></script>
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>

</head>
<body onload="init()" marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
    $order = new order($oID);
?>

<table border="0" width="90%" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td class="pageHeading"><?php echo EDIT_REORDER_TITLE; ?> #<?php echo $oID; ?></td>
            <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="pageHeading" align="right"><?php echo '<a href="' . zen_href_link(FILENAME_ORDERS, zen_get_all_get_params(array('action', 'resend'))) . '">' . zen_image_button('button_back.gif', IMAGE_BACK) . '</a>'; ?></td>
          </tr>
          <tr>
          <td colspan="3">
<?php echo zen_draw_separator(); ?>
          </td>
          </tr>          <tr>
          <td colspan="3">
          <?php echo zen_draw_form('edit_order', "edit_reorder.php", zen_get_all_get_params(array('action')) . 'action=update_order'); ?>
          <table border="0" width="90%" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td colspan="2" class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
          <tr>
          <td class="main">
<strong><?php echo ENTRY_CUSTOMER_NAME; ?></strong></td><td class="main"><?php echo zen_html_quotes($order->customer['name']); ?></td>
          </tr>
          <tr>
           <td class="main"><strong><?php echo ENTRY_DATE_PURCHASED; ?></strong></td>
           <td class="main"><?php echo zen_date_long($order->info['date_purchased']); ?></td>
          </tr>
          <tr>
           <td class="main"><strong><?php echo ENTRY_REORDER_STATUS; ?></strong></td>
           <td class="main">
<?php
		for ($j = 0, $k = sizeof($reorder_var); $j < $k; $j++)
	    $reorder_info[] = array('id' => $j, 'text' => $reorder_var[$j]);
        $oInfo = new objectInfo($order->info);
print zen_draw_pull_down_menu('reorder_new_value', $reorder_info, $oInfo->reorder);
print  zen_draw_hidden_field ( 'reorder_old_value', $oInfo->reorder);
?>
           </td>
          </tr>
           <td class="main"><?php echo zen_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
           <td class="main">
<input type='submit' value="<?php print UPDATE_REORDER_STATUS; ?>">
           </td>
          </tr>

          </table>
          </form>
          </td>
          </tr>
        </table>
