<?php
/**
 * Make a reorder
 *
 * @package Reorder using CIM Authorize.net
 * @copyright Copyright 2008, Byron Herrera http://www.silencesoft.com
 * @copyright Portions Copyright 2003-2008 Zen Cart Development Team
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: reorder.php, v 0.1 2008-11-10 14:25 Byron Herrera bh@silencesoft.co$
 */
error_reporting(E_ALL);
ini_set('error_reporting', E_ALL);
ini_set('display_startup_errors','1');
ini_set('display_errors','1');

// session_start();
// $_SESSION['admin_id']= "1";
 require('includes/application_top.php');
/*
 require(DIR_WS_CLASSES . 'currencies.php');
 $currencies = new currencies();
 
 include(DIR_WS_CLASSES . 'order.php');
*/

include(DIR_WS_MODULES . 'payment/authorizenet_cim.php');
$language_page_directory = DIR_WS_LANGUAGES . $_SESSION['language'] . '/'; 
require($language_page_directory . '/modules/payment/authorizenet_cim.php');

$total = 0;
echo "<pre>";
echo "status: ".MODULE_PAYMENT_AUTHORIZENET_CIM_ORDER_STATUS_ID."\n";
echo ":.:\n";

// print MODULE_PAYMENT_AUTHORIZENET_CIM_PASSKEY;

if (!isset($_GET["pass_key"]))
{
	print "Error: Key missed.\n";
	print "</pre>";
	exit;
}
if (MODULE_PAYMENT_AUTHORIZENET_CIM_PASSKEY != $_GET["pass_key"])
{
	print "Error on Key.\n";
	print "</pre>";
	exit;
}

require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));
require(DIR_WS_CLASSES . 'order.php');
require(DIR_WS_CLASSES . 'order_total.php');
// require(DIR_WS_CLASSES . 'currencies.php');
require($language_page_directory . 'checkout_process.php');

/*
$oID = 5;
$my_order = new order($oID);
print_r($my_order);
//$my_order->send_order_email($oID, 2);
*/

$count = 0;
while ($count < 4) {

$sql = "";

// One week
if ($count == 0)
$sql = "SELECT o.*
    FROM ". TABLE_ORDERS ." o
    WHERE NOT ((DATEDIFF(CURDATE() , o.date_purchased)) % 7)
    AND reorder = '1'
    and
    o.date_purchased < CURDATE();";

// Two weeks
if ($count == 1)
$sql = "SELECT o.*
    FROM ". TABLE_ORDERS ." o
    WHERE NOT ((DATEDIFF(CURDATE() , o.date_purchased)) % 14)
    AND reorder = '2'
    and
    o.date_purchased < CURDATE();";

//    WHERE NOT ((DATEDIFF(CURDATE() , o.date_purchased)) % 14)
//    WHERE NOT ((DATEDIFF('2009-07-22' , o.date_purchased)) % 14)
//    WHERE NOT ((DATEDIFF('2009-07-24' , o.date_purchased)) % 14)

$today = date("d");
echo "day: ".$today."\n";
if ($today >= 28)
	if ($today > 28)
		$day = "DAY(o.date_purchased) > 31";
	else 
		$day = "DAY(o.date_purchased) >= 28";
else 
	$day = "DAY(o.date_purchased) = DAY(CURDATE())";
//	$day = "DAY(o.date_purchased) = DAY('2009-07-22')";

// OneTwo months
if ($count == 2)
$sql = "SELECT o.*
    FROM ". TABLE_ORDERS ." o
    WHERE $day
    AND reorder = '3'
    and
    o.date_purchased < CURDATE();";

$today = date("d");
$month = date("m");
echo "day: ".$today." month: ".$month."\n";
if ($today >= 28)
	if ($today > 28)
		$day = "DAY(o.date_purchased) > 31";
	else 
		$day = "DAY(o.date_purchased) >= 28";
else 
	$day = "DAY(o.date_purchased) = DAY(CURDATE())";

if ($month % 2)
  $month = "and month(o.date_purchased) % 2 = 1";
else
  $month = "and month(o.date_purchased) % 2 = 0";

// Two months
if ($count == 3)
$sql = "SELECT o.*
    FROM ". TABLE_ORDERS ." o
    WHERE $day
    $month
    AND o.reorder = '4'
    and
    o.date_purchased < CURDATE();";

echo $sql;
echo "\n\n";
echo "*****\n";
echo "Starting\n";
echo "*****\n";

if (strlen($sql))
$orders = $db->Execute($sql);

$total = 0;

while( !$orders->EOF) {
$productsOk = 1;
$total++;
// echo "<!--\n";
echo "Order: ". $orders->fields['orders_id'] . " - " . $total."\n";
// echo "-->\n";
$old_order = new order($orders->fields['orders_id']);
$order = new order();

    $currency = new currencies();
    $temp_amount = $currency->format(0);
print $temp_amount;

// $new_order->producs = $order->products;

/*foreach($order->products as $tmp_product)
{
	print_r($tmp_product);
	print $tmp_product["id"];
$new_order->create_add_products($tmp_product["id"]);
}*/

print_R($old_order);

print_R($order_totals);
print_R($order);
/*
$shopping_cart = new shoppingCart();
foreach($old_order->products as $tmp_product)
{
	print_r($tmp_product);
	$shopping_cart->add_cart($tmp_product["id"], $tmp_product["qty"], $tmp_product["attributes"], false);
}
$shopping_cart->calculate();
print_R($shopping_cart);
print $shopping_cart->count_contents();
*/

echo "Customer address\n";
/*
  $csql = "select * from " . TABLE_CUSTOMERS . "
           WHERE customers_id = :custID ";
  $csql = $db->bindVars($csql, ':custID', $orders->fields['customers_id'], 'integer');
  $user = $db->Execute($csql);
  $default_address = $user->fields['customers_default_address_id'];
  $default_address = '527';
  $asql = "select * from " . TABLE_ADDRESS_BOOK . "
           WHERE address_book_id = :addrID ";
  $asql = $db->bindVars($asql, ':addrID', $default_address, 'integer');
*/
  $asql = "select * from " . TABLE_ADDRESS_BOOK . "
           WHERE customers_id = :custID and entry_reorder = '1' ";
  $asql = $db->bindVars($asql, ':custID', $orders->fields['customers_id'], 'integer');
  echo $asql."\n";
  $address = $db->Execute($asql);
// print_r($address);

if ($address->RecordCount() > 0) {
$tmp_name = $address->fields['entry_firstname']." ".$address->fields['entry_lastname'];
if ($orders->fields['delivery_name'] != $tmp_name)
  $orders->fields['delivery_name'] = $tmp_name;
if ($orders->fields['delivery_street_address'] != $address->fields['entry_street_address']) {
  echo "Changing address...\n";
  $orders->fields['delivery_street_address'] = $address->fields['entry_street_address'];
}
if ($orders->fields['delivery_suburb'] != $address->fields['entry_suburb'])
  $orders->fields['delivery_suburb'] = $address->fields['entry_suburb'];
if ($orders->fields['delivery_postcode'] != $address->fields['entry_postcode'])
  $orders->fields['delivery_postcode'] = $address->fields['entry_postcode'];
if ($orders->fields['delivery_city'] != $address->fields['entry_city'])
  $orders->fields['delivery_city'] = $address->fields['entry_city'];
if ($orders->fields['delivery_company'] != $address->fields['entry_company'])
  $orders->fields['delivery_company'] = $address->fields['entry_company'];

        $customer_country_id = $address->fields['entry_country_id'];
        $customer_zone_id = $address->fields['entry_zone_id'];

}
		else
		{

			$csql = "select * from " . TABLE_CUSTOMERS . "
		WHERE customers_id = :custID ";

		$csql = $db->bindVars($csql, ':custID', $orders->fields['customers_id'], 'integer');
		$user = $db->Execute($csql);
		$default_address = $user->fields['customers_default_address_id'];
// print $default_address;
		// $default_address = '527';
		$asql = "select * from " . TABLE_ADDRESS_BOOK . "
		WHERE address_book_id = :addrID ";
		$asql = $db->bindVars($asql, ':addrID', $default_address, 'integer');
		$address = $db->Execute($asql);
			$tmp_name = $address->fields['entry_firstname']." ".$address->fields['entry_lastname'];
			if ($orders->fields['delivery_name'] != $tmp_name)
			$orders->fields['delivery_name'] = $tmp_name;
			if ($orders->fields['delivery_street_address'] != $address->fields['entry_street_address']) {
				echo "Changing address...\n";
				$orders->fields['delivery_street_address'] = $address->fields['entry_street_address'];
			}
			if ($orders->fields['delivery_suburb'] != $address->fields['entry_suburb'])
			$orders->fields['delivery_suburb'] = $address->fields['entry_suburb'];
			if ($orders->fields['delivery_postcode'] != $address->fields['entry_postcode'])
			$orders->fields['delivery_postcode'] = $address->fields['entry_postcode'];
			if ($orders->fields['delivery_city'] != $address->fields['entry_city'])
			$orders->fields['delivery_city'] = $address->fields['entry_city'];
			if ($orders->fields['delivery_company'] != $address->fields['entry_company'])
			$orders->fields['delivery_company'] = $address->fields['entry_company'];

        $customer_country_id = $address->fields['entry_country_id'];
        $customer_zone_id = $address->fields['entry_zone_id'];

		}
print "zone: $customer_country_id $customer_zone_id \n";

	$sql = "SELECT o.orders_id as o_orders_id, op.* FROM ". TABLE_ORDERS ." o, ". TABLE_ORDERS_PRODUCTS ." op WHERE  o.orders_id = op.orders_id and o.orders_id = '" . $orders->fields['orders_id'] . "'";
echo "SQL Products\n";
echo "*****\n";
echo $sql."\n";
echo "=====\n";
	$order_products = $db->Execute($sql);

	$p_sql = "insert into ". TABLE_ORDERS_PRODUCTS . " (
	orders_products_id,
	orders_id,
	products_id,
	products_model,
	products_name,
	products_price,
	final_price,
	products_tax,
	products_quantity,
	products_prid
	) values ";

	$LineItem = array();
        $products_ordered = "";
	$i = 1;
$order_value = 0;
	while( !$order_products->EOF ) {

		// $order_products->fields['products_name'];

// fix products

echo "Fix SQL Products\n";
echo "*****\n";
$sql = "SELECT products_id, products_quantity, products_price from " . TABLE_PRODUCTS . " p WHERE p.products_id = ':prodID'";
  $sql = $db->bindVars($sql, ':prodID', $order_products->fields['products_id'], 'integer');

echo $sql."\n";

  $product = $db->Execute($sql);
// print_r($address);
echo "****\n";

if ($product->RecordCount() > 0) {
$tmp_price = $product->fields['products_price'];
$order_products->fields['products_price'] = $tmp_price;
$order_products->fields['final_price'] = $tmp_price;
echo "=====\n";
				if ($product->fields['products_quantity'] == '0'
				||
				$product->fields['products_status'] == '0')
					$productsOk = 0;
}
echo "****\n";

// fix products

      $products_ordered_html .=
      '<tr>' . "\n" .
      '<td class="product-details" align="right" valign="top" width="30">' . $order_products->fields['products_quantity'] . '&nbsp;x</td>' . "\n" .
      '<td class="product-details" valign="top">' . nl2br($order_products->fields['products_name']) . ($order_products->fields['model'] != '' ? ' (' . nl2br($order_products->fields['products_model']) . ') ' : '') . "\n" .
      '<nobr><small><em> '. nl2br($products_ordered_attributes) .'</em></small></nobr></td>' . "\n" .
      '<td class="product-details-num" valign="top" align="right">' .
      $currencies->display_price($order_products->fields['final_price'], $order_products->fields['products_tax'], $order_products->fields['products_quantity']) .
      ($order_products->fields['onetime_charges'] !=0 ?
      '</td></tr>' . "\n" . '<tr><td class="product-details">' . nl2br(TEXT_ONETIME_CHARGES_EMAIL) . '</td>' . "\n" .
      '<td>' . $currencies->display_price($order_products->fields['onetime_charges'], $order_products->fields['products_tax'], 1) : '') .
      '</td></tr>' . "\n";

$products_ordered .= 
      $order_products->fields['products_quantity'] . '&nbsp;x' . 
      nl2br($order_products->fields['products_name']) . ($order_products->fields['model'] != '' ? ' (' . nl2br($order_products->fields['products_model']) . ') ' : '') . 
      ' '. nl2br($products_ordered_attributes) .' ' . "\n" .
      $currencies->display_price($order_products->fields['final_price'], $order_products->fields['products_tax'], $order_products->fields['products_quantity']) .
      ($order_products->fields['onetime_charges'] !=0 ?
      ' ' . "\n" . '' . nl2br(TEXT_ONETIME_CHARGES_EMAIL) . '' . "\n" .
      '' . $currencies->display_price($order_products->fields['onetime_charges'], $order_products->fields['products_tax'], 1) : '') .
      '' . "\n";

		$p_sql .= "(
		0,
		:orderID,
		'" . $order_products->fields['products_id'] . "',
		'" . $order_products->fields['products_model'] . "',
		'" . $order_products->fields['products_name'] . "',
		'" . $order_products->fields['products_price'] . "',
		'" . $order_products->fields['final_price'] . "',
		'" . $order_products->fields['products_tax'] . "',
		'" . $order_products->fields['products_quantity'] . "',
		'" . $order_products->fields['products_prid'] . "'
		),";
 
		// The ID assigned to the item 
		// $LineItem[$i]['itemId'] = $order_products->fields['products_id']; // Up to 31 characters
		$LineItem[$i]['itemId'] = $i;
		// A short description of an item 
		$LineItem[$i]['name'] = substr($order_products->fields['products_name'], 0, 30);; // Up to 31 characters
		// A detailed description of an item
		$LineItem[$i]['description'] = $order_products->fields['products_name']; // Up to 255 characters
		// The quantity of an item 
		$LineItem[$i]['quantity'] = $order_products->fields['products_quantity']; // Up to 4 digits (up to two decimal places)
		// Cost of an item per unit excluding tax, freight, and duty 
		$LineItem[$i]['unitPrice'] = $order_products->fields['products_price']; // Up to 4 digits with a decimal point (no dollar symbol)
		// Indicates whether the item is subject to tax
		if ($order_products->fields['products_tax'] > 0) $taxable = '1'; else $taxable = '0';
		$LineItem[$i]['taxable'] = $taxable; // Standard Boolean logic, 0=FALSE and 1=TRUE

// value
$order_value += ($order_products->fields['final_price'] * $order_products->fields['products_quantity']);

		$i++;

		$order_products->MoveNext();
	}

	$sql = "select * from " . TABLE_ORDERS_TOTAL . " where orders_id='" . $orders->fields['orders_id'] . "'";
echo "SQL Orders\n";
echo "*****\n";
echo $sql."\n";
echo "=====\n";
    $orders_total = $db->Execute($sql);

$ok_coupon = 1;

	while( !$orders_total->EOF ) {
		// print_r($orders_total);

		if ($orders_total->fields['class'] == 'ot_coupon') {
			$tmp_title = str_replace("Discount Coupon: ", "", $orders_total->fields['title']);
			$tmp_title = str_replace(" :", "", $tmp_title);
			$tmp_sql = "SELECT * FROM `zen_coupons` WHERE `coupon_code` = '".$tmp_title."' limit 1";
			$coupon_code = $tmp_title;
			$tmp_coupon  = $db->Execute($tmp_sql);
			// echo "-->".$tmp_coupon->fields['coupon_expire_date']."<--";
	
			$today_date = strtotime(date("Y-m-d"));
			$expiration_date = strtotime($tmp_coupon->fields['coupon_expire_date']);
			$val_coupon = $orders_total->fields['value'];
				$val_coupon = $tmp_coupon->fields['coupon_amount'];
	
			if ($expiration_date < $today_date) { $ok_coupon = 0; $coupon_code = ""; }
		}

		$orders_total->MoveNext();
	}
	
	// reset($orders_total);
	$orders_total->Move(0);

	$t_sql = "insert into ". TABLE_ORDERS_TOTAL . " (
	orders_total_id,
	orders_id,
	title,
	text,
	value,
	class,
	sort_order
	) values ";

			$orders_total->MoveNext();
while( !$orders_total->EOF ) {
	
		if ($orders_total->fields['class'] == 'ot_subtotal')
		{
			$orders_total->fields['value'] = $order_value;
			$orders_total->fields['text'] = "$".number_format($order_value, 2);
			$tmp_subtotal = $orders_total->fields['value'];
		}
		if ($orders_total->fields['class'] == 'ot_subtotal' && !$ok_coupon ) {
			$tmp_subtotal = $orders_total->fields['value'];
		}
		if ($orders_total->fields['class'] == 'ot_tax' ) {
//		if ($orders_total->fields['class'] == 'ot_tax' && !$ok_coupon ) {
// old tax
/*
 * 			$tmp_title = str_replace(":", '', $orders_total->fields['title']);
			$tmp_sql = "SELECT * FROM `zen_tax_rates` WHERE `tax_description` = '".$tmp_title."' limit 1";
echo $tmp_sql;
			$tmp_tax = $db->Execute($tmp_sql);
echo "-".$tmp_tax->fields['tax_rate']."-".$tmp_subtotal;
			$val_tax = $tmp_tax->fields['tax_rate'];
			$val_tax = $val_tax*$tmp_subtotal/100;
echo "*".$val_tax."*";
			$orders_total->fields['value'] = number_format($val_tax, 4);
			$orders_total->fields['text'] = "$".number_format($val_tax, 2);
*/

// old tax

// unset($data_tax = ;
print "total tax: ".zen_get_tax_rate(1)."\n";
        $country_id = $customer_country_id;
        $zone_id = $customer_zone_id;
$class_id = 1;
print "//////////////////";

$sqlTax = "select *
                         from (" . TABLE_TAX_RATES . " tr
                         left join " . TABLE_ZONES_TO_GEO_ZONES . " za
                         ON tr.tax_zone_id = za.geo_zone_id
                         left join " . TABLE_GEO_ZONES . " tz ON tz.geo_zone_id = tr.tax_zone_id )
                         WHERE (za.zone_country_id IS NULL
                         OR za.zone_country_id = 0
                         OR za.zone_country_id = '" . (int)$country_id . "')
                         AND (za.zone_id IS NULL OR za.zone_id = 0
                         OR za.zone_id = '" . (int)$zone_id . "')
                         AND tr.tax_class_id = '" . (int)$class_id . "'
                         GROUP BY tr.tax_priority";
// print $sqlTax;
    $tmp_tax = $db->Execute($sqlTax);
$h = 0;
				$orders_total->fields['title'] = "";
if ($tmp_tax->RecordCount() > 0) {
	while (!$tmp_tax->EOF) {
		// print_r($tmp_tax);
		print $tmp_tax->fields['tax_rate']."\n";

		echo "*** tax - st -".$tmp_tax->fields['tax_rate']."-".$tmp_subtotal."\n";
		$val_tax = $tmp_tax->fields['tax_rate'];
		$val_tax = $val_tax*$tmp_subtotal/100;
		echo "*".$val_tax."*\n";
		$tot_tax += $val_tax;
		$tmp_subtotal += $val_tax;
		$data_tax[$h] = $val_tax;
		$h++;
		$orders_total->fields['title'] .= $tmp_tax->fields['tax_description']." + ";
		$tmp_tax->MoveNext();
	}
}

			$orders_total->fields['title'] = substr($orders_total->fields['title'], 0, -3);
				echo " tax tax -> ".$tot_tax."*\n";
				$orders_total->fields['value'] += number_format($tot_tax, 4);
				$orders_total->fields['text'] += "$".number_format($tot_tax, 2);

print "//////////////////";

/*
			 $orders_total->fields['value'] += $val_coupon;
			 $orders_total->fields['value'] = number_format($orders_total->fields['value'], 4);
			 $orders_total->fields['text'] = number_format($orders_total->fields['value'], 2);
*/
		}

		if ($orders_total->fields['class'] == 'ot_total' ) {
//		if ($orders_total->fields['class'] == 'ot_total' && !$ok_coupon ) {
			$tmp_total = $tmp_subtotal;//+$val_tax;
			$orders_total->fields['value'] = number_format($tmp_total, 4);
			$orders_total->fields['text'] = "$".number_format($tmp_total, 2);
		}	

		if ($orders_total->fields['class'] == 'ot_coupon' && !$ok_coupon ) {
					// $orders_total->MoveNext();

		} else {

			$t_sql .= "(
			0,
			:orderID,
			'" . $orders_total->fields['title'] . "',
			'" . $orders_total->fields['text'] . "',
			'" . $orders_total->fields['value'] . "',
			'" . $orders_total->fields['class'] . "',
			'" . $orders_total->fields['sort_order'] . "'
			),";
		}
		$orders_total->MoveNext();
	}
	
echo $t_sql;

//if (!$ok_coupon) {
	$orders->fields['order_total'] = number_format($tmp_total, 2);
	$orders->fields['order_tax'] = number_format($val_tax, 2);
	$orders->fields['coupon_code'] = "";
	$orders->fields['coupon_code'] = $coupon_code;
//}

echo "-----\n";
echo "SQL Products\n";
echo "*****\n";
	echo $p_sql;
echo "*****\n";

echo "\n";
echo "new CIM...\n";
echo "--_--\n";
echo "Producst ok : $productsOk \n";

		// tax
		$totalnotax = $orders->fields['order_total'] - $orders->fields['order_tax'];
		$totalnotax = $tmp_total - $val_tax;

	// createCustomerProfileTransactionRequest()
// print_r($orders);
// exit;	

// $productsOk = 0;

if ($productsOk) // products ok
{

	$cim = new authorizenet_cim();
	
	// Merchant-assigned reference ID for the request
	$cim->setParameter('refId', $orders->fields['customers_id']); // Up to 20 characters (optional)
	
	// Total Amount: This amount should include all other amounts such as tax amount, shipping amount, etc.
	$cim->setParameter('transaction_amount', $orders->fields['order_total']); // Up to 4 digits with a decimal (required)
	
	// This amount must be included in the total amount for the transaction. (optional)
	$cim->setParameter('tax_amount', $orders->fields['order_tax']); // Up to 4 digits with a decimal point (no dollar symbol) (optional)
	// $cim->setParameter('tax_name', 'my custom name'); // Up to 31 characters (optional)
	// $cim->setParameter('tax_description', 'my custom description'); // Up to 255 characters (optional)
	
	// This amount must be included in the total amount for the transaction. (optional)
	$cim->setParameter('shipping_amount', '0.00'); // Up to 4 digits with a decimal point (no dollar symbol) (optional)
	$cim->setParameter('shipping_name', substr($orders->fields['shipping_method'], 0 , 30)); // Up to 31 characters (optional)
	$cim->setParameter('shipping_description', $orders->fields['shipping_method']); // Up to 255 characters (optional)
	
	/*
	// This amount must be included in the total amount for the transaction. (optional)
	$cim->setParameter('duty_amount', '0.00'); // Up to 4 digits with a decimal point (no dollar symbol) (optional)
	$cim->setParameter('duty_name', 'my custom name'); // Up to 31 characters (optional)
	$cim->setParameter('duty_description', 'my custom description'); // Up to 255 characters (optional)
	*/
	
	// LineItems: (Contains line item details about the order.) (optional)
	// Up to 30 distinct instances of this element may be included per transaction to describe items included in the order.
	// Below is an example of adding LineItems into a multidimensional array during a loop
/*
	$LineItem = array();
	for ($i = 1; $i <= 2; $i++)
	{
		// The ID assigned to the item 
		$LineItem[$i]['itemId'] = '123456'; // Up to 31 characters
		// A short description of an item 
		$LineItem[$i]['name'] = 'custom item name'; // Up to 31 characters
		// A detailed description of an item 
		$LineItem[$i]['description'] = 'my custom description'; // Up to 255 characters
		// The quantity of an item 
		$LineItem[$i]['quantity'] = '1'; // Up to 4 digits (up to two decimal places)
		// Cost of an item per unit excluding tax, freight, and duty 
		$LineItem[$i]['unitPrice'] = '1.00'; // Up to 4 digits with a decimal point (no dollar symbol)
		// Indicates whether the item is subject to tax
		$LineItem[$i]['taxable'] = '0'; // Standard Boolean logic, 0=FALSE and 1=TRUE
	}
*/
	$cim->LineItems = $LineItem;
	
	// transactionType = (profileTransCaptureOnly, profileTransAuthCapture or profileTransAuthOnly)
	$cim->setParameter('transactionType', 'profileTransAuthCapture'); // see options above

  $csql = "select * from " . TABLE_CUSTOMERS . "
           WHERE customers_id = :custID ";
  $csql = $db->bindVars($csql, ':custID', $orders->fields['customers_id'], 'integer');
  $user = $db->Execute($csql);
/*
echo "-----\n";
echo "User\n";
echo "-----\n";
echo $csql."\n";    
echo "=====\n";
print_r($user);
*/
	
	// Payment gateway assigned ID associated with the customer profile
	$cim->setParameter('customerProfileId', $user->fields['customers_customerProfileId']); // Numeric (required)
	
	// Payment gateway assigned ID associated with the customer payment profile
	$cim->setParameter('customerPaymentProfileId', $user->fields['customers_customerPaymentProfileId']); // Numeric (required)
	
	// Payment gateway assigned ID associated with the customer shipping address (optional)
	// If the customer AddressId is not passed, shipping information will not be included with the transaction.
	$cim->setParameter('customerShippingAddressId', $user->fields['customers_customerShippingAddressId']); // Numeric (optional)
	

	/*
	// Up to 20 characters (no symbols) (optional)
	$cim->setParameter('order_invoiceNumber', 'my order invoice id'); 
	// Up to 255 characters (no symbols) (optional)
	$cim->setParameter('order_description', 'my order description'); 
	// Up to 25 characters (no symbols) (optional)
	$cim->setParameter('order_purchaseOrderNumber', '1234'); 
	*/
	
	// The tax exempt status
	$cim->setParameter('transactionTaxExempt', 'false');
	
	// The recurring billing status
	$cim->setParameter('transactionRecurringBilling', 'false');
	
	// The customer's card code (the three- or four-digit number on the back or front of a credit card)
	// Required only when the merchant would like to use the Card Code Verification (CCV) filter
	// $cim->setParameter('transactionCardCode', '123'); // (conditional)
	
	// The authorization code of an original transaction required for a Capture Only
	// This element is only required for the Capture Only transaction type.
	//$cim->setParameter('transactionApprovalCode', 'abc123'); // 6 characters only (conditional)

	$cim->createCustomerProfileTransactionRequest();

echo "\n\n";
echo "CIM\n";
echo "---\n";
print_r($cim);
echo "***\n";

// print "end";
// exit;



if ($cim->success) {
    $sql_data_array = array('customers_id' => $orders->fields['customers_id'],
                            'customers_name' => $orders->fields['customers_name'],
                            'customers_company' => $orders->fields['customers_company'],
                            'customers_street_address' => $orders->fields['customers_street_address'],
                            'customers_suburb' => $orders->fields['customers_suburb'],
                            'customers_city' => $orders->fields['customers_city'],
                            'customers_postcode' => $orders->fields['customers_postcode'],
                            'customers_state' => $orders->fields['customers_state'],
                            'customers_country' => $orders->fields['customers_country'],
                            'customers_telephone' => $orders->fields['customers_telephone'],
                            'customers_email_address' => $orders->fields['customers_email_address'],
                            'customers_address_format_id' => $orders->fields['customers_address_format_id'],
                            'delivery_name' => $orders->fields['delivery_name'],
                            'delivery_company' => $orders->fields['delivery_company'],
                            'delivery_street_address' => $orders->fields['delivery_street_address'],
                            'delivery_suburb' => $orders->fields['delivery_suburb'],
                            'delivery_city' => $orders->fields['delivery_city'],
                            'delivery_postcode' => $orders->fields['delivery_postcode'],
                            'delivery_state' => $orders->fields['delivery_state'],
                            'delivery_country' => $orders->fields['delivery_country'],
                            'delivery_address_format_id' => $orders->fields['delivery_address_format_id'],
                            'billing_name' => $orders->fields['billing_name'],
                            'billing_company' => $orders->fields['billing_company'],
                            'billing_street_address' => $orders->fields['billing_street_address'],
                            'billing_suburb' => $orders->fields['billing_suburb'],
                            'billing_city' => $orders->fields['billing_city'],
                            'billing_postcode' => $orders->fields['billing_postcode'],
                            'billing_state' => $orders->fields['billing_state'],
                            'billing_country' => $orders->fields['billing_country'],
                            'billing_address_format_id' => $orders->fields['billing_address_format_id'],
                            'payment_method' => $orders->fields['payment_method'],
                            'payment_module_code' => $orders->fields['payment_module_code'],
                            'shipping_method' => $orders->fields['shipping_method'],
                            'shipping_module_code' => $orders->fields['shipping_module_code'],
                            'coupon_code' => $orders->fields['coupon_code'],
                            'cc_type' => $orders->fields['cc_type'],
                            'cc_owner' => $orders->fields['cc_owner'],
                            'cc_number' => $orders->fields['cc_number'],
                            'cc_expires' => $orders->fields['cc_expires'],
                            'date_purchased' => 'now()',
                            'orders_status' => MODULE_PAYMENT_AUTHORIZENET_CIM_ORDER_STATUS_ID,
                            'order_total' => $orders->fields['order_total'],
                            'order_tax' => $orders->fields['order_tax'],
                            'currency' => $orders->fields['currency'],
                            'currency_value' => $orders->fields['currency_value'],
                            'ip_address' => $orders->fields['ip_address'],
                            'reorder' => '0'
                            );

    zen_db_perform(TABLE_ORDERS, $sql_data_array);
    $insert_id = $db->Insert_ID();

    $sql_data_array = array('orders_id' => $insert_id,
                            'orders_status_id' => MODULE_PAYMENT_AUTHORIZENET_CIM_ORDER_STATUS_ID,
                            'date_added' => 'now()',
                            'customer_notified' => '0',
                            'comments' => 'Automatic reorder from '.$orders->fields['orders_id'].' AUTH: ' . $cim->approvalCode . '. TransID: ' . $cim->transID . '.');

    zen_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);

	$p_sql = $db->bindVars($p_sql, ':orderID', $insert_id, 'integer');
	$p_sql = substr($p_sql, 0, -1);
echo "-----\n";
echo "SQL Products\n";
echo "*****\n";
	echo $p_sql;
echo "*****\n";
	$db->Execute($p_sql);

	$t_sql = $db->bindVars($t_sql, ':orderID', $insert_id, 'integer');
	$t_sql = substr($t_sql, 0, -1);
echo "-----\n";
echo "SQL Totals\n";
echo "*****\n";
	echo $t_sql;
echo "*****\n";
	$db->Execute($t_sql);

echo "-*-*-*\n";
echo "Send mail\n";
echo "-*-*-*\n";

/*
$orders_query = "SELECT * FROM " . TABLE_ORDERS . "
                 WHERE orders_id = :orders_id
                 LIMIT 1";
$orders_query = $db->bindVars($orders_query, ':orders_id', $insert_id, 'integer');
$orders = $db->Execute($orders_query);
$orders_id = $orders->fields['orders_id'];

$orders->new_reorder = 1;
*/
// $orders->send_order_email($insert_id, 2);

// $orders->fields['orders_id']

$html_msg=array();

echo "go\n";
  //include(DIR_WS_CLASSES . 'order.php');
$order = new order($insert_id);
// print_r($order);

    $email_order = EMAIL_TEXT_HEADER . EMAIL_TEXT_FROM . STORE_NAME . "\n" .
    $orders->fields['customers_name'] . "\n\n" .
    EMAIL_THANKS_FOR_SHOPPING . "\n" . EMAIL_DETAILS_FOLLOW . "\n" .
    EMAIL_SEPARATOR . "\n" .
    EMAIL_TEXT_ORDER_NUMBER . ' ' . $insert_id . "\n" .
    EMAIL_TEXT_DATE_ORDERED . ' ' . strftime(DATE_FORMAT_LONG) . "\n" .
    EMAIL_TEXT_INVOICE_URL . ' ' . zen_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $insert_id, 'SSL', false) . "\n\n";
    $html_msg['EMAIL_TEXT_HEADER']     = EMAIL_TEXT_HEADER;
    $html_msg['EMAIL_TEXT_FROM']       = EMAIL_TEXT_FROM;
    $html_msg['INTRO_STORE_NAME']      = STORE_NAME;
    $html_msg['EMAIL_THANKS_FOR_SHOPPING'] = EMAIL_THANKS_FOR_SHOPPING;
    $html_msg['EMAIL_DETAILS_FOLLOW']  = EMAIL_DETAILS_FOLLOW;
    $html_msg['INTRO_ORDER_NUM_TITLE'] = EMAIL_TEXT_ORDER_NUMBER;
    $html_msg['INTRO_ORDER_NUMBER']    = $insert_id;
    $html_msg['INTRO_DATE_TITLE']      = EMAIL_TEXT_DATE_ORDERED;
    $html_msg['INTRO_DATE_ORDERED']    = strftime(DATE_FORMAT_LONG);
    $html_msg['INTRO_URL_TEXT']        = EMAIL_TEXT_INVOICE_URL_CLICK;
    $html_msg['INTRO_URL_VALUE']       = zen_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $insert_id, 'SSL', false);

echo "start\n";
    $email_order .= EMAIL_TEXT_PRODUCTS . "\n" .
    EMAIL_SEPARATOR . "\n" .
    $products_ordered .
    EMAIL_SEPARATOR . "\n";
echo "??";
    $html_msg['PRODUCTS_TITLE'] = EMAIL_TEXT_PRODUCTS;
    $html_msg['PRODUCTS_DETAIL']='<table class="product-details" border="0" width="100%" cellspacing="0" cellpadding="2">' . $products_ordered_html . '</table>';

    //order totals area
    $html_ot .= '<td class="order-totals-text" align="right" width="100%">' . '&nbsp;' . '</td> ' . "\n" . '<td class="order-totals-num" align="right" nowrap="nowrap">' . '---------' .'</td> </tr>' . "\n" . '<tr>';
	$sql = "select * from " . TABLE_ORDERS_TOTAL . " where orders_id='" . $insert_id . "'";
    $order_total = $db->Execute($sql);
	while( !$order_total->EOF ) {
      $email_order .= strip_tags($order_total->fields['title']) . ' ' . strip_tags($order_total->fields['text']) . "\n";
      $html_ot .= '<td class="order-totals-text" align="right" width="100%">' . $order_total->fields['title'] . '</td> ' . "\n" . '<td class="order-totals-num" align="right" nowrap="nowrap">' .($order_total->fields['text']) .'</td> </tr>' . "\n" . '<tr>';
		$order_total->MoveNext();
	}

    $html_msg['ORDER_TOTALS'] = '<table border="0" width="100%" cellspacing="0" cellpadding="2"> ' . $html_ot . ' </table>';

echo "ok...\n";
    //addresses area: Delivery
    $html_msg['HEADING_ADDRESS_INFORMATION']= HEADING_ADDRESS_INFORMATION;
    $html_msg['ADDRESS_DELIVERY_TITLE']     = EMAIL_TEXT_DELIVERY_ADDRESS;
    $html_msg['ADDRESS_DELIVERY_DETAIL']    = zen_address_label($orders->fields['customers_id'], 1, true, '', "<br />");
    $html_msg['SHIPPING_METHOD_TITLE']      = HEADING_SHIPPING_METHOD;
    $html_msg['SHIPPING_METHOD_DETAIL']     = 
$orders->fields['delivery_name'] . "\n" .
$orders->fields['delivery_company'] . "\n" .
$orders->fields['delivery_street_address'] . "\n" .
$orders->fields['delivery_suburb'] . "\n" .
$orders->fields['delivery_city'] . "\n" .
$orders->fields['delivery_postcode'] . "\n" .
$orders->fields['delivery_state'] . "\n" .
$orders->fields['delivery_country'] . "\n";

      $email_order .= "\n" . EMAIL_TEXT_DELIVERY_ADDRESS . "\n" .
      EMAIL_SEPARATOR . "\n" .
$orders->fields['delivery_name'] . "\n" .
$orders->fields['delivery_company'] . "\n" .
$orders->fields['delivery_street_address'] . "\n" .
$orders->fields['delivery_suburb'] . "\n" .
$orders->fields['delivery_city'] . "\n" .
$orders->fields['delivery_postcode'] . "\n" .
$orders->fields['delivery_state'] . "\n" .
$orders->fields['delivery_country'] . "\n\n";

    //addresses area: Billing
    $email_order .= "\n" . EMAIL_TEXT_BILLING_ADDRESS . "\n" .
    EMAIL_SEPARATOR . "\n" .
 $orders->fields['billing_name'] . "\n" .
$orders->fields['billing_company'] . "\n" .
$orders->fields['billing_street_address'] . "\n" .
$orders->fields['billing_suburb'] . "\n" .
$orders->fields['billing_city'] . "\n" .
$orders->fields['billing_postcode'] . "\n" .
$orders->fields['billing_state'] . "\n" .
$orders->fields['billing_country'] . "\n\n";

    $html_msg['ADDRESS_BILLING_TITLE']   = EMAIL_TEXT_BILLING_ADDRESS;
    $html_msg['ADDRESS_BILLING_DETAIL']  =
 $orders->fields['billing_name'] . "\n" .
$orders->fields['billing_company'] . "\n" .
$orders->fields['billing_street_address'] . "\n" .
$orders->fields['billing_suburb'] . "\n" .
$orders->fields['billing_city'] . "\n" .
$orders->fields['billing_postcode'] . "\n" .
$orders->fields['billing_state'] . "\n" .
$orders->fields['billing_country'] . "\n" .
$orders->fields['billing_address_format_id'];
    

    $html_msg['PAYMENT_METHOD_TITLE']  = EMAIL_TEXT_PAYMENT_METHOD;
    $html_msg['PAYMENT_METHOD_DETAIL'] = "Credit Card"; // (is_object($GLOBALS[$_SESSION['payment']]) ? $GLOBALS[$payment_class]->title : PAYMENT_METHOD_GV );
    $html_msg['PAYMENT_METHOD_FOOTER'] = "NOTE: This order will be repeated every XXXX and your card will be charged on recurrent transaction dates.<br />
If you wish to stop receiving recurrent orders please click on the following link and look for the cancel button.<br />
". zen_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $orders->fields['orders_id'], 'SSL', false) . "\n\n"; // (is_object($GLOBALS[$_SESSION['payment']]) && $GLOBALS[$payment_class]->email_footer != '') ? nl2br($GLOBALS[$payment_class]->email_footer) : (isset($orders->info['cc_type']) && $orders->info['cc_type'] != '' ? $orders->info['cc_type'] . ' ' . $cc_num_display . "\n\n" : '');

$email_order .= EMAIL_TEXT_PAYMENT_METHOD . "\n" .
EMAIL_SEPARATOR . "\n" .
"Credit Card" . "\n\n";

$email_order .= "NOTE: This order will be repeated every " . $reorder_var[$count+1] . " and your card will be charged on recurrent transaction dates." . "\n" .
"If you wish to stop receiving recurrent orders please click on the following link and look for the cancel button." . "\n" .
zen_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $orders->fields['orders_id'], 'SSL', false) . "\n\n"; // (is_object($GLOBALS[$_SESSION['payment']]) && $GLOBALS[$payment_class]->email_footer != '') ? nl2br($GLOBALS[$payment_class]->email_footer) : (isset($orders->info['cc_type']) && $orders->info['cc_type'] != '' ? $orders->info['cc_type'] . ' ' . $cc_num_display . "\n\n" : '');
    // include disclaimer
    $email_order .= "\n-----\n" . sprintf(EMAIL_DISCLAIMER, STORE_OWNER_EMAIL_ADDRESS) . "\n\n";
    // include copyright
    $email_order .= "\n-----\n" . EMAIL_FOOTER_COPYRIGHT . "\n\n";
echo "here\n";

    while (strstr($email_order, '&nbsp;')) $email_order = str_replace('&nbsp;', ' ', $email_order);


    $html_msg['EMAIL_FIRST_NAME'] = $user->fields['customers_firstname'];
    $html_msg['EMAIL_LAST_NAME'] = $user->fields['customers_lastname'];
    //  $html_msg['EMAIL_TEXT_HEADER'] = EMAIL_TEXT_HEADER;
    $html_msg['EXTRA_INFO'] = "";
    $zco_notifier->notify('NOTIFY_ORDER_INVOICE_CONTENT_READY_TO_SEND', array('zf_insert_id' => $insert_id, 'text_email' => $email_order, 'html_email' => $html_msg));
//print_r($html_msg);
echo $email_order;
zen_mail($orders->fields['customers_name'], $orders->fields['customers_email_address'], EMAIL_TEXT_SUBJECT . EMAIL_ORDER_NUMBER_SUBJECT . $insert_id, $email_order, STORE_NAME, EMAIL_FROM, $html_msg, 'checkout', $orders->attachArray);


    if (SEND_EXTRA_ORDER_EMAILS_TO != '') {
      $extra_info=email_collect_extra_info('','', $user->fields['customers_firstname'] . ' ' . $user->fields['customers_lastname'], $orders->fields[customers_email_address], $orders->fields[customers_telephone]);
      $html_msg['EXTRA_INFO'] = $extra_info['HTML'];

        $pmt_details = 'AuthCode: ' . $cim->approvalCode . '  TransID: ' . $cim->transID . "\n\n";
        $email_order = $pmt_details . $email_order;
        $html_msg['EMAIL_TEXT_HEADER'] = nl2br($pmt_details) . $html_msg['EMAIL_TEXT_HEADER'];

      zen_mail('', SEND_EXTRA_ORDER_EMAILS_TO, SEND_EXTRA_NEW_ORDERS_EMAILS_TO_SUBJECT . ' ' . EMAIL_TEXT_SUBJECT . EMAIL_ORDER_NUMBER_SUBJECT . $insert_id,$email_order . $extra_info['TEXT'], STORE_NAME, EMAIL_FROM, $html_msg, 'checkout_extra', $orders->attachArray);
    }


echo "*****";

} else {
$email_order = "Problem with reorder." . "\n" .
"When trying to complete a reorder from order ". $orders->fields['orders_id'] . " this message was received: " . "\n" .
$cim->directResponse;
$email_subject = "Problem with reorder.";
zen_mail(STORE_NAME, STORE_OWNER_EMAIL_ADDRESS, $email_subject, $email_order, STORE_NAME, EMAIL_FROM, $html_msg, 'checkout', $orders->attachArray);
}

			} // end if products ok
			else
			{
				$html_msg=array();
				$email_subject = 'Not done reorder';
				$email_order = 'Not done reorder: '.$orders->fields['orders_id']."\n------------------";
				zen_mail(STORE_NAME, STORE_OWNER_EMAIL_ADDRESS, $email_subject, $email_order, STORE_NAME, EMAIL_FROM, $html_msg, 'checkout', $orders->attachArray);

				
			}

	$orders->MoveNext();
}

echo "Next\n*****\n\n";

$count++;
} 

echo "</pre>";

// $_SESSION['admin_id']= "0";
